Skip to main content
GET
/
v3
/
qualification-awards
/
{qualification_award_id}
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/qualification-awards/{qualification_award_id} \
  --header 'X-Session-Token: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "status": "assigned",
      "due": "2023-11-07T05:31:56Z",
      "awarded_at": "2023-11-07T05:31:56Z"
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "risks": {
        "current": "none",
        "thresholds": {
          "none": "2023-11-07T05:31:56Z",
          "low": "2023-11-07T05:31:56Z",
          "medium": "2023-11-07T05:31:56Z",
          "high": "2023-11-07T05:31:56Z",
          "critical": "2023-11-07T05:31:56Z"
        },
        "next_check": "2023-11-07T05:31:56Z"
      },
      "is_valid": true,
      "is_latest": true,
      "updated_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "user": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "author": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "qualification": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "assessments": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      ],
      "renewed_by": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "renews": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "folder": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "sandbox": true,
        "settings": {
          "nomenclature": {
            "governance": {
              "schemes": [
                {
                  "singular": "<string>",
                  "plural": "<string>",
                  "language": "<string>"
                }
              ],
              "work_orders": [
                {
                  "singular": "<string>",
                  "plural": "<string>",
                  "language": "<string>"
                }
              ],
              "operations": [
                {
                  "singular": "<string>",
                  "plural": "<string>",
                  "language": "<string>"
                }
              ]
            }
          }
        },
        "description": "<string>"
      },
      "meta": {
        "v3": true,
        "status": "active",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "features": [
          {
            "name": "<string>",
            "enabled": true,
            "limit": 123
          }
        ]
      },
      "relationships": {
        "users": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "service_accounts": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "groups": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "teams": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

qualification_award_id
string<uuid>
required

The unique identifier for the qualification award.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation,
user,
author,
folder,
qualification,
renews,
renewed_by,
assessments

Response

Get a Qualification award

JSON API response object

data
object
required

A qualification award

jsonapi
object
required
included
object[]

Related resources that can be included when a qualification award is returned

An organisation